package com.sikey.wa04.business.domain.adapter;

import com.sikey.wa04.business.domain.entity.*;

import java.util.List;

/**
 * 用户适配器
 *
 * @author luoyangwei
 */
public interface UserAdapter {

    /**
     * 查询用户
     *
     * @param phoneNumber 手机号
     * @return 用户
     */
    User findByPhoneNumber(PhoneNumber phoneNumber);

    /**
     * 查询用户
     *
     * @param userId 用户id
     * @return 用户
     */
    User findById(UserId userId);

    List<User> findByUserIdIn(List<String> userIds);

    void updatePhoneNumberById(String phoneNumber,String id);

}
